# $Revision: 1.19 $, $Date: 2011/09/01 17:05:18 $
Summary:	powwow - MUD client
Summary(pl.UTF-8):	powwow - klient MUD
Name:		powwow
Version:	1.2.5
Release:	3
License:	GPL
Group:		Applications/Games
Source0:	http://linuz.sns.it/~max/powwow/%{name}-%{version}.tar.gz
# Source0-md5:	704b94581b396d6ea17c00a5d1149ae1
URL:		http://linuz.sns.it/~max/powwow/
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A client to play MUDs. It has a lot of features that people commonly
miss with telnet: just to say two, line editing and aliases. Developed
on MUME mud. Too many people contributed to list them all here.

%description -l pl.UTF-8
Klient do gry w MUD-y. Ma wiele możliwości, których brakuje ludziom
używającym telneta: m.in. edycja linii i aliasy. Rozwijany z mudem
MUME.

%prep
%setup -q

%build
%{__make} powwow movie_play movie2ascii follow catrw \
	CC="%{__cc}" \
	CDEFS="%{rpmcflags} -DUSE_REGEXP" \
	LDFLAGS="-lncurses %{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man6}

install powwow movie{,2ascii,_play} make_it follow catrw $RPM_BUILD_ROOT%{_bindir}
install powwow.6 $RPM_BUILD_ROOT%{_mandir}/man6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README{,.follow,.term} Changelog Compile.how Config.demo Hacking powwow.{doc,help}
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/powwow*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: powwow.spec,v $
Revision 1.19  2011/09/01 17:05:18  arekm
- release 3

Revision 1.18  2011/01/29 00:07:13  sparky
- dropped pre-cvs changelog

Revision 1.17  2009/01/30 10:11:10  glen
- release 2

Revision 1.16  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.14  2005/10/09 21:34:42  glen
- updated to 1.2.5, added URL

Revision 1.13  2003/11/03 08:48:30  qboosh
- fixed bin attr, BR: ncurses-devel

Revision 1.12  2003/11/03 08:26:02  adamg
- added %%defattr

Revision 1.11  2003/05/28 13:01:22  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:25:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/08/11 05:35:02  baseciq
- temp save
- rel 0.1
- at least added %files ;-)

Revision 1.8  2002/07/23 11:03:45  kloczek
- use new %doc (package still NYF).

Revision 1.7  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/25 02:41:39  agaran
small patch for fix building added (time.h)

Revision 1.3  2001/12/11 15:03:29  qboosh
- pl description, better summaries

Revision 1.2  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.1  2000/12/30 01:38:04  agaran
Not Finished ( i try to do it tomorow), no %files section, no v6 patch included

Revision 1.5  2000/11/04 11:32:33  kloczek
- added ExcludeArch for sparc, sparc64.

Revision 1.4  2000/11/04 11:31:05  kloczek
- release 2: gzip %doc.

Revision 1.3  2000/08/11 10:19:08  mis
- added /usr/bin/dialog requirement

Revision 1.2  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.1  2000/04/07 01:35:04  kloczek
- new version 0.4.3b.
